[arvados] updated: 2.1.0-2636-g139e26480

git repository hosting git at public.arvados.org
Mon Jun 27 20:34:41 UTC 2022


Summary of changes:
 .../multi_host/aws/pillars/postgresql.sls          |  2 +-
 .../multiple_hostnames/pillars/postgresql.sls      |  2 +-
 .../single_hostname/pillars/postgresql.sls         |  2 +-
 tools/salt-install/installer.sh                    | 43 ++++++++++++++++------
 4 files changed, 35 insertions(+), 14 deletions(-)

       via  139e2648098a508132c08788b2108c5fa3fac56e (commit)
       via  050a826e01748fec1f49dba35ab4098bc73c4135 (commit)
      from  7af7d3456b4b95c7604e3ccf3a33a8468ed86f63 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 139e2648098a508132c08788b2108c5fa3fac56e
Author: Peter Amstutz <peter.amstutz at curii.com>
Date:   Mon Jun 27 16:29:23 2022 -0400

    18870: Use bash [[ ]] conditional syntax and order deploy
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>

diff --git a/tools/salt-install/installer.sh b/tools/salt-install/installer.sh
index 1db9ce7bd..1bcfa1450 100755
--- a/tools/salt-install/installer.sh
+++ b/tools/salt-install/installer.sh
@@ -9,7 +9,7 @@ set -e
 declare -A NODES
 
 sync() {
-    if test "$NODE" != localhost ; then
+    if [[ "$NODE" != localhost ]] ; then
 	if ! ssh $NODE test -d ${TARGET}.git ; then
 	    ssh $NODE git init --bare ${GITTARGET}.git
 	    if ! git remote add $NODE $DEPLOY_USER@$NODE:${GITTARGET}.git ; then
@@ -26,12 +26,12 @@ sync() {
 }
 
 deploynode() {
-    if test -z "${NODES[$NODE]}" ; then
+    if [[ -z "${NODES[$NODE]}" ]] ; then
 	echo "No roles declared for '$NODE' in local.params"
 	exit 1
     fi
 
-    if test $NODE = localhost ; then
+    if [[ "$NODE" = localhost ]] ; then
 	sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}
     else
 	ssh $DEPLOY_USER@$NODE "cd ${GITTARGET} && sudo ./provision.sh --config local.params --roles ${NODES[$NODE]}"
@@ -40,7 +40,7 @@ deploynode() {
 
 loadconfig() {
     CONFIG_FILE=local.params
-    if ! test -s $CONFIG_FILE ; then
+    if [[ ! -s $CONFIG_FILE ]] ; then
 	echo "Must be run from initialized setup dir, maybe you need to 'initialize' first?"
     fi
     source ${CONFIG_FILE}
@@ -48,12 +48,12 @@ loadconfig() {
 }
 
 subcmd="$1"
-if test -n "$subcmd" ; then
+if [[ -n "$subcmd" ]] ; then
     shift
 fi
 case "$subcmd" in
     initialize)
-	if ! test -f provision.sh ; then
+	if [[ ! -f provision.sh ]] ; then
 	    echo "Must be run from arvados/tools/salt-install"
 	    exit
 	fi
@@ -63,24 +63,24 @@ case "$subcmd" in
 	SLS=$3
 
 	err=
-	if test -z "$PARAMS" -o ! -f local.params.example.$PARAMS ; then
+	if [[ -z "$PARAMS" || ! -f local.params.example.$PARAMS ]] ; then
 	    echo "Not found: local.params.example.$PARAMS"
 	    echo "Expected one of multiple_hosts, single_host_multiple_hostnames, single_host_single_hostname"
 	    err=1
 	fi
 
-	if test -z "$SLS" -o ! -d config_examples/$SLS ; then
+	if [[ -z "$SLS" || ! -d config_examples/$SLS ]] ; then
 	    echo "Not found: config_examples/$SLS"
 	    echo "Expected one of multi_host/aws, single_host/multiple_hostnames, single_host/single_hostname"
 	    err=1
 	fi
 
-	if test -z "$SETUPDIR" -o -z "$PARAMS" -o -z "$SLS" ; then
+	if [[ -z "$SETUPDIR" || -z "$PARAMS" || -z "$SLS" ]]; then
 	    echo "installer.sh <setup dir to initialize> <params template> <config template>"
 	    err=1
 	fi
 
-	if test -n "$err" ; then
+	if [[ -n "$err" ]] ; then
 	    exit 1
 	fi
 
@@ -111,9 +111,30 @@ case "$subcmd" in
 	    git commit -m"prepare for deploy"
 	fi
 
-	if test -z "$NODE"; then
+	if [[ -z "$NODE" ]]; then
 	    for NODE in "${!NODES[@]}"
 	    do
+		# Do 'database' role first,
+		if [[ "${NODES[$NODE]}" =~ database ]] ; then
+		    sync
+		    deploynode
+		    unset NODES[$NODE]
+		fi
+	    done
+
+	    for NODE in "${!NODES[@]}"
+	    do
+		# then  'api' or 'controller' roles
+		if [[ "${NODES[$NODE]}" =~ (api|controller) ]] ; then
+		    sync
+		    deploynode
+		    unset NODES[$NODE]
+		fi
+	    done
+
+	    for NODE in "${!NODES[@]}"
+	    do
+		# Everything else
 		sync
 		deploynode
 	    done

commit 050a826e01748fec1f49dba35ab4098bc73c4135
Author: Peter Amstutz <peter.amstutz at curii.com>
Date:   Mon Jun 27 16:13:21 2022 -0400

    18870: Make sure database password is quoted in pillar
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>

diff --git a/tools/salt-install/config_examples/multi_host/aws/pillars/postgresql.sls b/tools/salt-install/config_examples/multi_host/aws/pillars/postgresql.sls
index e06ddd041..d6320da24 100644
--- a/tools/salt-install/config_examples/multi_host/aws/pillars/postgresql.sls
+++ b/tools/salt-install/config_examples/multi_host/aws/pillars/postgresql.sls
@@ -19,7 +19,7 @@ postgres:
   users:
     __CLUSTER___arvados:
       ensure: present
-      password: __DATABASE_PASSWORD__
+      password: "__DATABASE_PASSWORD__"
 
   # tablespaces:
   #   arvados_tablespace:
diff --git a/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/postgresql.sls b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/postgresql.sls
index f3bc09f65..edb961eba 100644
--- a/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/postgresql.sls
+++ b/tools/salt-install/config_examples/single_host/multiple_hostnames/pillars/postgresql.sls
@@ -38,7 +38,7 @@ postgres:
   users:
     __CLUSTER___arvados:
       ensure: present
-      password: __DATABASE_PASSWORD__
+      password: "__DATABASE_PASSWORD__"
 
   # tablespaces:
   #   arvados_tablespace:
diff --git a/tools/salt-install/config_examples/single_host/single_hostname/pillars/postgresql.sls b/tools/salt-install/config_examples/single_host/single_hostname/pillars/postgresql.sls
index a69b88cb1..14452a990 100644
--- a/tools/salt-install/config_examples/single_host/single_hostname/pillars/postgresql.sls
+++ b/tools/salt-install/config_examples/single_host/single_hostname/pillars/postgresql.sls
@@ -40,7 +40,7 @@ postgres:
   users:
     __CLUSTER___arvados:
       ensure: present
-      password: __DATABASE_PASSWORD__
+      password: "__DATABASE_PASSWORD__"
 
   # tablespaces:
   #   arvados_tablespace:

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list